=begin

Develepor name - JPCodaLot
Extension name - Line From Center

Copyright 2021,
JPCodaLot
All Rights Reserved

Disclaimer
THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING,
WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.

=end

module JPC_Extensions
module JPC_LineFromCenter
	unless file_loaded?(__FILE__)
		
		# Load the support files.
		require 'sketchup.rb'
		require 'extensions.rb'
		
		# Create, register and load the extension on startup.
		extension = SketchupExtension.new('Line From Center', 'jpc_LineFromCenter/jpc_LineFromCenter_Menu')
		extension.creator = 'JPCodalot'
		extension.version = '1.0.0'
		extension.copyright = '©2021'
		extension.description = 'Draw a line from the center point.' 
		Sketchup.register_extension(extension, true)
		
	end
end
end

# Identify loaded
file_loaded(__FILE__)